aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Weisgerber <naddy@FreeBSD.org>2021-09-14 20:25:42 +0000
committerChristian Weisgerber <naddy@FreeBSD.org>2021-09-14 20:25:42 +0000
commitf4ab52649c2d0246c1401557a1f1909e38ca5e67 (patch)
treea56088f767203c8018bbe59273058e9546d9b0e8
parent0261df216badba79d859d9a0ae086344ae8c1f61 (diff)
downloadports-f4ab52649c2d0246c1401557a1f1909e38ca5e67.tar.gz
ports-f4ab52649c2d0246c1401557a1f1909e38ca5e67.zip
devel/got: update to 0.59
User-visible changes: - add -q quiet mode to checkout and update - make 'got send' send commits which are referenced only by tags - add -S option to 'got status' for suppressing certain status codes - make 'got checkout' display the checked out reference and commit ID - make 'got update' display the worktree's branch name upon success
-rw-r--r--devel/got/Makefile2
-rw-r--r--devel/got/distinfo6
-rw-r--r--devel/got/files/patch-regress_cmdline_checkout.sh11
3 files changed, 15 insertions, 4 deletions
diff --git a/devel/got/Makefile b/devel/got/Makefile
index 8faa8aa023a9..b2b49bfb6b62 100644
--- a/devel/got/Makefile
+++ b/devel/got/Makefile
@@ -1,5 +1,5 @@
PORTNAME= got
-PORTVERSION= 0.58
+PORTVERSION= 0.59
CATEGORIES= devel
MASTER_SITES= https://gameoftrees.org/releases/
diff --git a/devel/got/distinfo b/devel/got/distinfo
index f06e759ab7bf..e0394f44f97c 100644
--- a/devel/got/distinfo
+++ b/devel/got/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1631369078
-SHA256 (got-0.58.tar.gz) = 66cc8c38820189f8316183d95dd9332d3dff1e778a1b73e9b5d76d7da8eee431
-SIZE (got-0.58.tar.gz) = 551129
+TIMESTAMP = 1631649267
+SHA256 (got-0.59.tar.gz) = 5b40e99137dde05a3f0ecd15fc591f15e22d55eb305d3ee27b1bc7aefedd0abe
+SIZE (got-0.59.tar.gz) = 551916
diff --git a/devel/got/files/patch-regress_cmdline_checkout.sh b/devel/got/files/patch-regress_cmdline_checkout.sh
new file mode 100644
index 000000000000..4b80f29b1aa2
--- /dev/null
+++ b/devel/got/files/patch-regress_cmdline_checkout.sh
@@ -0,0 +1,11 @@
+--- regress/cmdline/checkout.sh.orig 2021-09-14 20:09:50 UTC
++++ regress/cmdline/checkout.sh
+@@ -821,7 +821,7 @@ test_checkout_quiet() {
+
+ echo -n "Checked out refs/heads/master: " >> $testroot/stdout.expected
+ git_show_head $testroot/repo >> $testroot/stdout.expected
+- echo "\nNow shut up and hack" >> $testroot/stdout.expected
++ printf "\nNow shut up and hack\n" >> $testroot/stdout.expected
+
+ got checkout -q $testroot/repo $testroot/wt > $testroot/stdout
+ ret="$?"